#!/usr/local/bin/ruby

# 
# convert from GD-1.14/demos/fills.pl
#         by   Nakamura Noritsugu
# 

require "GD"

# create a new image
im = GD::Image.new(100,50)

# allocate some colors
black = im.colorAllocate(0,0,0)
white = im.colorAllocate(255,255,255)
red = im.colorAllocate(255,0,0)
blue = im.colorAllocate(0,0,255)

#Inscribe an ellipse in the image
im.arc(50, 25, 98, 48, 0, 360, white)

# Flood-fill the ellipse. Fill color is red, and will replace the
# black interior of the ellipse
im.fill(50, 21, red)

# print the image to stdout
im.gif STDOUT
