#!/usr/local/bin/ruby

# 
# convert from GD-1.18/demos/transform.pl
#         by   Nakamura Noritsugu
# 

require "GD"

# create a new image
im = GD::Image.new(380,225)

# allocate some colors
black = im.colorAllocate(0,0,0)
white = im.colorAllocate(255,255,255)
red = im.colorAllocate(255,0,0)
blue = im.colorAllocate(0,0,255)
yellow = im.colorAllocate(255,250,205)

# Create a triangle
poly = GD::Polygon.new
poly.toPt(50,50)
poly.toPt(100,0)
poly.toPt(-50,50)
poly.toPt(-50,-50)

im.filledPolygon(poly,yellow)

poly.scale(1.8,1.0)
poly.offset(100,0)
im.filledPolygon(poly,red)

# Rotate it
poly.transform(0.55,0.20,0.0,1,-25,50)
im.filledPolygon(poly,blue)

im.gif STDOUT
